<?php

define('VARNAME','system__sys_group_mask.group');

$jscode[] = <<<EOC

Rico.moduleDependencies['checkboxDB'] = ['+LiveGrid', '../ricoTableColumnDB.js'];
Rico.loadModule('checkboxDB');

function select_group_calback(data)
{
  grid_update(grid);
}

function select_group(obj)
{
  if (!obj.options[obj.selectedIndex].value.length)
    val = -1;
  else
    val = obj.options[obj.selectedIndex].value;

  ajax_request('setvar','source=system__sys_group_mask&name=group&value='+val,select_group_calback);

  if (obj.options[obj.selectedIndex].value.length)
    info('Gruppe ' + obj.options[obj.selectedIndex].innerHTML + ' ausgewählt');
  else
    info('');
}
EOC;

if (empty($_SESSION[VARNAME])) $_SESSION[VARNAME] = 0;

$mask = array(
	      'table' => 'sys_mask',
	      'title' => 'Berechtigungen',
	      'select' => array(
				'title' => 'Auswahl',
				'options' => 'SELECT id,name AS text FROM sys_group ORDER BY name',
				'default' => 'Gruppe wählen',
				'selected' => $_SESSION[VARNAME],
				'onchange' => 'select_group(this)',
				),
	      'join' => array('sys_menu ON sys_mask.menu = sys_menu.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'sys_mask.id',
					    'visible' => false,
					    ),
			      'menu' => array(
					    'name' => 'Menü',
					    'width' => 80,
					    'sql' => 'sys_menu.name',
					    ),
			      'menutitle' => array(
					    'name' => 'Menüpunkt',
					    'width' => 170,
					    'sql' => 'sys_mask.menutitle',
					    ),
			      'title' => array(
					    'name' => 'Beschreibung',
					    'width' => 150,
					    'sql' => 'sys_mask.title',
					    ),
			      'edit' => array(
					    'name' => 'Edit',
					    'width' => 40,
					    'specs' => "ClassName: 'aligncenter', canSort: false",
					    'sql' => 'sys_mask.edit',
					    ),
			      'option' => array(
					    'name' => 'Menü',
					    'width' => 40,
					    'sql' => '(SELECT count(*) FROM sys_group_mask WHERE gid = '
						. intval($_SESSION[VARNAME])
						. ' AND mask = sys_mask.id)',
					    'control' => "new Rico.TableColumn.checkboxDB(0, 'ajax/ricoUpdateConnection.php')",
					    'specs' => "filterUI: 'c', ClassName: 'aligncenter', canSort: false",
					    'update' => array('table' => 'sys_group_mask',
							      'basecol' => 'gid',
							      'baseval' => $_SESSION[VARNAME],
							      'refcol' => 'mask',
							      'reftable' => 'sys_mask',
							      'refid' => 'sys_mask.id',
							      ),
					    ),
			      ),
	      'variables' => array(
				   'group' => array(),
				   ),
	      );

?>
